API ReferenceWorker Protocol
ACK inbox message (Redis XACK)
ACK inbox message (Redis XACK) - Rensei REST API operation reference.
POST
header
AuthorizationBearer <JWT>Short-lived worker runtime JWT minted by the platform. Claims bind the worker, project, organization, registration, and scopes.
id*stringapplication/json- body
messageId*stringlane*stringValue in
"urgent""normal"Message acknowledged.
application/json- response
acknowledged?booleancurl -X POST 'https://app.rensei.ai/api/sessions/string/inbox/ack' \ -H 'Content-Type: application/json' \ -d '{ "messageId": "string", "lane": "urgent"}'Example Response
{ "acknowledged": true}